Bug 1417029 - setUp and tearDown no longer call reset
Summary: setUp and tearDown no longer call reset
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-httpretty
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Lennox
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 02:59 UTC by Garrett Holmstrom
Modified: 2017-02-09 04:21 UTC (History)
2 users (show)

Fixed In Version: python-httpretty-0.8.14-2.20161011git70af1f8.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-09 04:21:39 UTC
Type: Bug


Attachments (Terms of Use)

Description Garrett Holmstrom 2017-01-27 02:59:51 UTC
Description of problem:
When test cases are decorated with the setUp and tearDown that came in via python-httpretty-0.8.14-1.20161011git70af1f8.fc25, httpretty.reset() is not called as it is if one used decorate_callable() -> httprettized().  In this code path, only enable and disable are called.  This is a regression that occurred in between version 0.8.14 and the git snapshot that went stable in all active releases on 2017-01-24.  We discovered it when several of cloud-init's unit tests broke.


Version-Release number of selected component (if applicable):
python-httpretty-0.8.14-1.20161011git70af1f8.el7.noarch


Additional info:

The upstream bug report and a proposed patch are available here:
https://github.com/gabrielfalcao/HTTPretty/issues/316
https://github.com/gabrielfalcao/HTTPretty/pull/317

Comment 1 Fedora Update System 2017-01-27 23:14:02 UTC
python-httpretty-0.8.14-2.20161011git70af1f8.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-64f8e59b99

Comment 2 Garrett Holmstrom 2017-01-27 23:49:25 UTC
That seems to fix the cloud-init tests, at least on el7.  Thanks!

Comment 3 Fedora Update System 2017-01-29 02:22:37 UTC
python-httpretty-0.8.14-2.20161011git70af1f8.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-64f8e59b99

Comment 4 Fedora Update System 2017-02-09 04:21:39 UTC
python-httpretty-0.8.14-2.20161011git70af1f8.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.